From 233c4a870fedcc604254c81d34abb4fd1aadd06a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E4=BD=99=E6=98=8C=E5=B9=B3?= <dead.ash@hotmail.com>
Date: Wed, 17 Jun 2020 18:05:04 +0800
Subject: [PATCH] kernel32: Fix GetPrivateProfileInt for empty filename

Signed-off-by: Changping Yu <dead.ash@hotmail.com>
---
 dlls/kernel32/profile.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dlls/kernel32/profile.c b/dlls/kernel32/profile.c
index f7d64f16a5..d5b6a9067c 100644
--- a/dlls/kernel32/profile.c
+++ b/dlls/kernel32/profile.c
@@ -1228,6 +1228,8 @@ UINT WINAPI GetPrivateProfileIntW( LPCWSTR section, LPCWSTR entry,
     UNICODE_STRING bufferW;
     ULONG result;
 
+    if (filename == NULL) return 0;
+
     if (GetPrivateProfileStringW( section, entry, emptystringW, buffer, ARRAY_SIZE( buffer ),
                                   filename ) == 0)
         return def_val;
-- 
2.26.1.windows.1

